#  Licensed Materials - Property of IBM
#  5724-M23, 5724-M24
#  Copyright IBM Corporation 2009. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import sys

serverName = sys.argv[0]
applicationName = sys.argv[1]
startingWeight = sys.argv[2]

# Uninstall the app first if it already exists.
print "Changing startingWeight of "+applicationName+" to "+startingWeight
newdep = AdminConfig.getid("/Deployment:"+applicationName+"/")
print "newdep="+newdep
depObject = AdminConfig.showAttribute (newdep,"deployedObject")
AdminConfig.show(depObject,'startingWeight')
AdminConfig.modify(depObject,[['startingWeight',startingWeight]])
AdminConfig.save()
print "startingWeight of "+applicationName+" changed to "+startingWeight
